import { Router } from 'express'
import BikeTripRouter from './BikeTrips'
import BikePointRouter from './BikePoints'
import BikeTripDurationRouter from './BikeTripDurations'
import BikePointsActivityRouter from './BikePointsActivity'
import BikePointDetailsRouter from './BikePointDetails'

// Init router and path
const router = Router()

// Add sub-routes
router.use('/bike-trips', BikeTripRouter)
router.use('/bike-points', BikePointRouter)
router.use('/bike-trip-durations', BikeTripDurationRouter)
router.use('/bike-points-activity', BikePointsActivityRouter)
router.use('/bike-point-details', BikePointDetailsRouter)


// Export the base-router
export default router
